//============================= nastaveni barev =============================
$warning: #fd7e14;
$info: #6f42c1;
$header: #087990;
$white: #ffffff;
$hover: #ca6510;

$accordion-button-color:  $white;
$accordion-button-bg: #343a40;
$accordion-button-active-bg: $header;
$accordion-button-active-color: $white;

$link-color: #212529;
$link-hover-color: $hover;
$nav-link-font-weight: 500;

$pagination-active-bg: #087990;

$input-group-addon-bg: #adb5bd;
$input-group-addon-color: $link-color;
$input-focus-border-color: $header;
$input-focus-box-shadow: 0 0 0 0.25rem rgba($header,.25);

$nav-pills-link-active-color: $white;
$nav-pills-link-active-bg: $header;
$font-size-root: 14px;

@mixin glass{
  background: rgba($gray-300, 0.3 );
  box-shadow: 0 1px 5px 2px rgba($gray-700, .3);
  backdrop-filter: blur( 10px );
  -webkit-backdrop-filter: blur( 10px );
  border: 1px solid rgba( $white, 0.18 );
}

//============================= import =============================
@import '../../asset/bootstrap/scss/bootstrap';
@import '../../asset/fontawesome/css/all.css';
@import '../../asset/colorpicker/jquery.minicolors.css';
@import '../../asset/datepicker/dist/css/bootstrap-datepicker.css';
@import "aside";
@import "backgrounds";
@import "category_list";
@import 'clanek';
@import "color";
@import "fotogalerie";
@import "header";
@import "headings";
@import 'login-page';
@import 'nahledObraz';
@import "produkt";

//============================= základní styly =============================
body{
  height: 100%;
  background-color: $gray-200;
}

main a {
  text-decoration: none;
}

.container-xxl{
  background-color: $white;
  padding-top: .5rem !important;
  padding-bottom: .5rem !important;
  box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, .15) !important;
}

.text-default
{
  font-size: 1rem;
  font-weight: normal;
  color: $body-color !important;
}

#breadcrumb a{
  text-decoration: none;
}

#licence ul li{
  list-style-type: disc;
}

.btn-header{
  color: $white;
  background-color: $header;
  border-color: $header;
}
.btn-header:hover{
  color: $white;
  background-color: $header;
  border-color: $cyan-600;
}
.btn-header:active,.btn-header:focus{
  color: $white;
  background-color: $header;
  border-color: $cyan-600;
  box-shadow: 0 0 0 0.25rem rgba($header, .5);
}

.tooltip{
  z-index: 12345678;
}

.sticky{
  position: sticky !important;
  position: -webkit-sticky !important;
  top: 0;
  z-index: 1234567;
  background: rgba($secondary,.75);
}

.tox:not([dir=rtl]) {
  z-index: 12;
}

.shadow-lg {
  box-shadow: 0 3rem 10rem 5rem $gray-800 !important;
}

.form-label{
  font-size: .8rem;
}

.z-index-none{
  z-index: unset !important;
}

.z-index-11{
  z-index: 11 !important;
}
//============================= modal =============================
.modal{
  z-index: 12345678;
}

.modal-footer{
  background-color: $light;
}

.category-list{
  list-style-type: none;
  padding: 0;
}

//============================= flash message =============================
.flash-wrapper{
  position: fixed;
  top: 4rem;
  right: 0;
  z-index: 123456789;
}

//============================= spinner =============================
#spinner{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: rgba($white,.5);
  z-index: 123456789;
  display: flex;
  justify-content: center;
  align-items: center;
  visibility: hidden;
}

#spinner.show{
  visibility: visible;
}

//============================= card =============================
.card-icon .icon{
  font-size: 8rem;
}

.card-icon .icon-text{
  font-size: 1.25rem;
}
//============================= seo thumb =============================
.seo-thumb{

}

.seo-thumb .name{
  color: $primary;
  cursor: pointer;
  font-family: arial, regular;
  font-size: 18px;
  font-weight: normal;
  text-align: left;
  text-decoration: none;
}

.seo-thumb .address{
  color: $success;
  font-family: arial, regular;
  font-size: 14px;
  font-style: normal;
  font-weight: normal;
  line-height: 24px;
  text-align: left;
}

.seo-thumb .seo-content{
  color: #545454;
  font-family: arial, regular;
  font-size: 13px;
  font-weight: normal;
  text-align: left;
}
//============================= @media =============================
@media (min-width: 992px) {

  header, main, footer{
    margin-left: 250px;
  }
}



